# VLSI SAPD Documentation

Presentation | AGDS | CIF | DTR | OPENCHAMS | SPICE | Links & Contact

Public Member Functions
Parameters Class Reference

## Public Member Functions
void | addParameter (const std::string &, const std::string &)
| adds a new value parameter. More...
const std::string & | getValue (const std::string &)
| returns the value of the parameter named `name`. More...
const std::map< std::string, std::string > & | getValues ()
| returns the map of value parameters.
bool | isEmpty ()
| returns true if Parameters has no value parameter nor equation parameter.
| Parameters ()
| creates a new set of parameters.

## Detailed Description

This class describes a set of Parameters. Parameters consist in two maps associating a parameter name to a double value or a std::string (equation).

## Member Function Documentation

## ◆ addParameter()

void addParameter | ( | const std::string & | name,
|  | const std::string & | value
| ) |  |

adds a new value parameter.

adds a new equation parameter.

Parameters

  name | the name of the parameter.
  value | the value of the parameter.
  name | the name of the parameter.
  equation | the equation of the parameter.

## ◆ getValue()

const string & getValue | ( | const std::string & | name | ) |

returns the value of the parameter named `name`.

Parameters

  name | the name of the parameter.

Returns
  the parameter double value.

Generated by doxygen 1.8.14 on Thu Oct 18 2018 | Return to top of page

VLSI SAPD Documentation | Copyright © 2010 - 2011 UPMC All rights reserved